%global modulename flush-write-stream

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-flush-write-stream
Version:        1.0.3
Release:        1%{?dist}
Summary:        A write stream constructor that supports a flush function that is called before finish is emitted

License:        MIT
URL:            https://github.com/mafintosh/flush-write-stream
Source0:        https://registry.npmjs.org/flush-write-stream/-/flush-write-stream-1.0.3.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(inherits) >= 2.0.1 with npmlib(inherits) < 3.0.0))
BuildRequires:  ((npmlib(readable-stream) >= 2.0.4 with npmlib(readable-stream) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A write stream constructor that supports a flush function that is called before finish is emitted

%package 1.0.3
Summary:        A write stream constructor that supports a flush function that is called before finish is emitted


%description 1.0.3
A write stream constructor that supports a flush function that is called before finish is emitted

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr example.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.3
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.0.3-1
- Package automatically generated by npm2srpm
